using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Ewide.Core.Service
{
    public interface ISysDictTypeService
    {
        Task AddDictType(AddDictTypeInput input);
        Task ChangeDictTypeStatus(UpdateDictTypeInput input);
        Task DeleteDictType(DeleteDictTypeInput input);
        Task<List<DictTreeNode>> GetDictTree();
        Task<dynamic> GetDictType([FromQuery] QueryDictTypeInfoInput input);
        Task<dynamic> GetDictTypeDropDown([FromQuery] DropDownDictTypeInput input);
        Task<dynamic> GetDictTypeDropDowns([FromQuery] DropDownDictTypesInput input);
        Task<dynamic> GetDictTypeList();
        Task<dynamic> QueryDictTypePageList([FromQuery] DictTypeInput input);
        Task UpdateDictType(UpdateDictTypeInput input);
    }
}